periodic-keystone-python27-stable-grizzly fails due to"No module named netaddr"

Bug #1212939 reported by Jerry Zhao on 2013-08-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Undecided
Unassigned
Grizzly
Medium
Jamie Lennox

Bug Description

keystone of stable/grizzly fails this test:

======================================================================
ERROR: test_authenticate_invalid_tenant_id (test_keystoneclient.KcMasterTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/jenkins/workspace/periodic-keystone-python27-stable-grizzly/tests/test_keystoneclient.py", line 117, in test_authenticate_invalid_tenant_id
    from keystoneclient import exceptions as client_exceptions
  File "/home/jenkins/workspace/periodic-keystone-python27-stable-grizzly/vendor/python-keystoneclient-master/keystoneclient/exceptions.py", line 7, in <module>
    from keystoneclient.openstack.common import jsonutils
  File "/home/jenkins/workspace/periodic-keystone-python27-stable-grizzly/vendor/python-keystoneclient-master/keystoneclient/openstack/common/jsonutils.py", line 44, in <module>
    import netaddr
ImportError: No module named netaddr

netaddr was not installed by tox for the test case.

Complete log here: http://logs.openstack.org/periodic/periodic-keystone-python27-stable-grizzly/precise5/5/console.html.gz

Jerry Zhao (zhaoxinyu) wrote :

[22:01] <morganfainberg> clarkb: in my tox environment i'm seeing /vendor/python-keystoneclient-master, which is the only thing that could be referencing netaddr
[22:01] <morganfainberg> though the pip freeze says i have python-keystoneclient==0.2.5 (activated venv)
[22:02] <clarkb> morganfainberg: is this one of those silly tests that downloads a specific version of a thing and does functional testing?
[22:03] <morganfainberg> clarkb: i, i don't think so, i'm looking at stable/grizzly to see.
[22:03] <dolphm> clarkb: yes!
[22:03] <morganfainberg> give me a moment.
[22:03] <morganfainberg> trust dolphm, he's i'm sure right
[22:03] <stevemar> morganfainberg: just a quick flake8 test, and a change to run my tests again, and i'll submit new patch
[22:03] <morganfainberg> stevemar: cool.
[22:04] <morganfainberg> dolphm , clarkb: wait, we do grizzly stable against master for obvious reasons. it's just not doing the proper dep thing then?
[22:04] <morganfainberg> or am i taking crazy pills (lack of understanding)
[22:04] *** alunduil (~alunduil@12.144.179.211) joined
[22:05] <stevemar> just a quick rebase ....
[22:05] <clarkb> morganfainberg: I think testing that particular combo is fine (mordred is workign on making it generalized) but the implementation is fragiel
[22:05] *** SergeyLukjanov quit (Quit: Computer has gone to sleep.)
[22:05] <morganfainberg> clarkb: got it.
[22:06] <clarkb> morganfainberg: looks like it simply clones keystoneclient and does not install it
[22:06] <morganfainberg> clarkb: so, in this case should jerryz file a bug? and if so, is this infra?
[22:06] <clarkb> see keystone/test.py:checkout_vendor
[22:06] <morganfainberg> oh so it's us.
[22:06] <morganfainberg> ok.
[22:06] <clarkb> yes, no. This is a keystone stable/grizzly unittest bug
[22:06] <morganfainberg> yep yep got it

Changed in keystone:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/43397

Changed in keystone:
assignee: nobody → Jamie Lennox (jamielennox)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/43402
Committed: http://github.com/openstack/keystone/commit/6792499f76545d9789472c0f85e163fec0c502ac
Submitter: Jenkins
Branch: stable/grizzly

commit 6792499f76545d9789472c0f85e163fec0c502ac
Author: Jamie Lennox <email address hidden>
Date: Fri Aug 23 15:06:58 2013 +1000

    Add netaddr to test requirements

    Because of the way we do old keystoneclient tests we can end up with the
    situation where an old keystone uses a newer keystoneclient without
    doing an install and so misses out on the newer dependencies.

    This patch is not a solution to the underlying problem, but should
    prevent current gate failings.

    Fixes: bug 1212939
    Change-Id: I25eca24c6820611a5937a1f709ba42620b70b304

tags: added: in-stable-grizzly
Thierry Carrez (ttx) on 2013-08-29
Changed in keystone:
status: In Progress → Invalid
Alan Pevec (apevec) on 2013-10-18
Changed in keystone:
assignee: Jamie Lennox (jamielennox) → nobody
tags: removed: in-stable-grizzly
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers